Activity log for bug #837993

Date Who What changed Old value New value Message
2011-08-31 10:52:47 John Lea bug added bug
2011-08-31 10:52:52 John Lea ayatana-design: assignee John Lea (johnlea)
2011-08-31 10:52:54 John Lea ayatana-design: importance Undecided Medium
2011-08-31 10:52:56 John Lea ayatana-design: status New Fix Committed
2011-08-31 10:53:08 John Lea tags onew udo
2011-08-31 10:57:30 Gord Allott bug task added unity
2011-08-31 10:57:36 Gord Allott unity: assignee Gord Allott (gordallott)
2011-08-31 10:57:50 Gord Allott unity: status New Confirmed
2011-08-31 10:57:53 Gord Allott unity: importance Undecided Medium
2011-08-31 10:59:47 John Lea ayatana-design: status Fix Committed Fix Released
2011-08-31 11:36:58 Achim bug added subscriber Achim
2011-08-31 13:17:19 Doug McMahon bug added subscriber Doug McMahon
2011-09-01 10:27:19 Neil J. Patel unity: milestone 4.14.0
2011-09-01 12:24:17 Gord Allott unity: status Confirmed Fix Committed
2011-09-07 20:28:41 Andrea Azzarone bug task added unity (Ubuntu)
2011-09-07 20:28:49 Andrea Azzarone unity (Ubuntu): status New Fix Committed
2011-09-08 15:57:03 Didier Roche unity: status Fix Committed Fix Released
2011-09-08 18:08:27 Launchpad Janitor branch linked lp:~ubuntu-desktop/unity/ubuntu
2011-09-09 09:31:15 Launchpad Janitor unity (Ubuntu): status Fix Committed Fix Released
2011-09-09 10:20:12 Launchpad Janitor branch linked lp:ubuntu/unity
2011-09-09 12:52:53 Hernando Torque attachment added dash-unreadable.png https://bugs.launchpad.net/ayatana-design/+bug/837993/+attachment/2376323/+files/dash-unreadable.png
2011-09-16 07:11:30 tankdriver attachment added Guest session, open firefox, open dash, search something > barely readable https://bugs.launchpad.net/ayatana-design/+bug/837993/+attachment/2411558/+files/firefox-google-dash-unreadable.png
2011-09-26 18:54:59 Jono Bacon attachment added Screenshot at 2011-09-26 11:52:01.png https://bugs.launchpad.net/ayatana-design/+bug/837993/+attachment/2465078/+files/Screenshot%20at%202011-09-26%2011%3A52%3A01.png
2011-09-27 06:57:56 Neil J. Patel unity: milestone 4.14.0 4.20.0
2011-09-27 06:57:59 Neil J. Patel unity: status Fix Released Confirmed
2011-09-27 06:58:02 Neil J. Patel unity (Ubuntu): status Fix Released Confirmed
2011-09-27 08:59:26 John Lea description The background of the Dash, Launcher, NotifyOSD, etc.. is tinted with the average background colour of the wallpaper. In cases where this average colour is either very light or very dark it should be respectively darkened or lightened to improve readability. Inside the 'too dark/light' thresholds, the level of adjustment needs to be on a sliding scale so that a very very dark background is lightened more than a background that is just a bit too dark. Average background colours that do not fall inside the 'too dark/light' thresholds should not be modified. The background of the Dash, Launcher, NotifyOSD, etc.. is tinted with the average background colour of the wallpaper. In cases where this average colour is either very light or very dark it should be respectively darkened or lightened to improve readability. Inside the 'too dark/light' thresholds, the level of adjustment needs to be on a sliding scale so that a very very dark background is lightened more than a background that is just a bit too dark. Average background colours that do not fall inside the 'too dark/light' thresholds should not be modified. There is an additional issue in that the implementation does not match the design in terms of both the saturation of the tint and the radius of the blur. Both of these issues also significantly impact readability. --------------------------------------------------- Desired resolution: There are two parts to this fix: 1. adjust the tint colour inside the 'too dark/light' thresholds. 2. bring implementation in to line with the designs - Compare "dash_design.png" with "dash_implementation.png" (files attached to this bug) - Note that both of these screenshots use the same wallpaper, and therefor the dash tint should be the same in both. - Note that in "dash_design.png" the text in the dash on top of the white area in the window behind the dash is legible, while in "dash_implementation.png" it is not. - Increase the tint saturation in the implementation to match the design. - Increase the radius of the dash blur to match the design. It would be much appreciated if screenshots of the proposed fixes could be sent to Otto for review and iteration *before* they are committed.
2011-09-27 08:59:45 John Lea attachment added dash_design.png https://bugs.launchpad.net/ayatana-design/+bug/837993/+attachment/2468203/+files/dash_design.png
2011-09-27 09:00:03 John Lea attachment added dash_implementation.png https://bugs.launchpad.net/ayatana-design/+bug/837993/+attachment/2468204/+files/dash_implementation.png
2011-09-27 17:55:05 Michael-250 bug added subscriber Michael-250
2011-09-28 10:35:45 Gord Allott unity: status Confirmed Triaged
2011-09-28 10:35:50 Gord Allott unity: status Triaged Fix Committed
2011-09-28 10:35:53 Gord Allott unity (Ubuntu): status Confirmed Fix Committed
2011-09-28 10:39:48 Launchpad Janitor branch linked lp:unity
2011-09-29 16:13:13 Didier Roche unity: status Fix Committed Fix Released
2011-09-29 18:12:56 Launchpad Janitor unity (Ubuntu): status Fix Committed Fix Released
2011-10-03 10:33:50 John Lea tags onew udo reviewedbydesigno
2015-10-27 08:11:29 Robin Pecha attachment added screenshot https://bugs.launchpad.net/ayatana-design/+bug/837993/+attachment/4506416/+files/dash2015.png